Skip to main content
POST
/
v1
/
engines
/
{model}
/
embeddings
Native Gemini Format
curl --request POST \
  --url https://utoken-test.uuzu.com/v1/engines/{model}/embeddings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": "<string>",
  "encoding_format": "float",
  "dimensions": 123
}
'
{
  "object": "<string>",
  "data": [
    {
      "object": "<string>",
      "index": 123,
      "embedding": [
        123
      ]
    }
  ],
  "model": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "total_tokens": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.utoken.wgame-hk.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Bearer Token authentication Format: Authorization: Bearer sk-xxxxxx

Path Parameters

model
string
required

Model/Engine ID

Body

application/json
model
string
required
Example:

"text-embedding-ada-002"

input
required

Text to embed

encoding_format
enum<string>
default:float
Available options:
float,
base64
dimensions
integer

Output vector dimensions

Response

200 - application/json

Success - Embedding Created

object
string
Example:

"list"

data
object[]
model
string
usage
object